Morphemeris DocsBeta

Sidereal Time

GET /v1/sidereal-time — Get Greenwich and local sidereal time.

Sidereal Time

Compute Greenwich Apparent Sidereal Time (GAST) and optionally Local Sidereal Time (LST) for a given moment.

Sidereal time measures the rotation of the Earth relative to the stars rather than the Sun. It's used to determine which stars and degrees are on the meridian and horizon at a given location.

GET  /v1/sidereal-time
POST /v1/sidereal-time

Credit cost: 1

Parameters

ParameterTypeRequiredDefaultDescription
datetimestringOne of datetime or jdISO 8601 UTC datetime
jdnumberOne of datetime or jdJulian Day in UT1
lonnumberNoObserver longitude in degrees (if provided, LST is included)

Response

{
  "data": {
    "gast_degrees": 11.5234,
    "gast_hours": 0.7682,
    "lst_degrees": 337.5234,
    "lst_hours": 22.5015
  },
  "meta": { "..." }
}
FieldTypeDescription
gast_degreesnumberGreenwich Apparent Sidereal Time in degrees (0–360)
gast_hoursnumberGAST in hours (0–24)
lst_degreesnumberLocal Sidereal Time in degrees (only if lon provided)
lst_hoursnumberLST in hours (only if lon provided)

Examples

curl "https://api.morphemeris.com/v1/sidereal-time?datetime=2024-03-20T12:00:00Z&lon=-74.006" \
  -H "Authorization: Bearer morphemeris_live_YOUR_KEY"
const res = await fetch(
  "https://api.morphemeris.com/v1/sidereal-time?datetime=2024-03-20T12:00:00Z&lon=-74.006",
  { headers: { Authorization: "Bearer morphemeris_live_YOUR_KEY" } }
);
const data = await res.json();
import requests

res = requests.get(
    "https://api.morphemeris.com/v1/sidereal-time",
    params={"datetime": "2024-03-20T12:00:00Z", "lon": -74.006},
    headers={"Authorization": "Bearer morphemeris_live_YOUR_KEY"},
)
data = res.json()

On this page